body {
  font-family: Arial;
  margin:0;
}
.container{
  max-width:1200px;
  margin:0 auto;
  padding:0 20px;
}
/* HEADER */
.header {
  background:#000;
  padding:15px;
}

.nav {
  display:flex;
  justify-content:space-between;
  align-items:center;
}

.logo img {
  height:50px;
}

/* MENU BASE */
.menu{
  list-style:none;
  display:flex;
  gap:25px;
}

.menu li{
  position:relative;
}

.menu a{
  text-decoration:none;
  color:#f1f5f9;
  font-weight:500;
}

/* SUBMENU */
.submenu{
  position:absolute;
  top:100%;
  left:0;
  background:#fff;
  min-width:220px;
  box-shadow:0 10px 25px rgba(0,0,0,0.1);
  border-radius:6px;
  display:none;
  padding:10px 0;
  z-index:999;
}

/* SUBMENU ITEMS */
.submenu li{
  display:block;
}

.submenu li a{
  display:block;
  padding:10px 15px;
  color:#333;
  transition:0.3s;
}

.submenu li a:hover{
  background:#f1f5f9;
  color:#2563eb;
  padding-left:20px;
}

/* SHOW ON HOVER */
.dropdown:hover .submenu{
  display:block;
}

/* SMOOTH ANIMATION */
.submenu{
  opacity:0;
  transform:translateY(10px);
  transition:0.3s;
}

.dropdown:hover .submenu{
  opacity:1;
  transform:translateY(0);
}

/* HERO */
.hero {
  display:flex;
  align-items:center;
  justify-content:space-between;
  padding:60px;
  background:#111;
  color:#fff;
}

.hero img {
  width:400px;
}

.btn {
  background:#ff6600;
  padding:10px 20px;
  color:#fff;
}

/* ABOUT */
.about {
  display:flex;
  padding:50px;
}

/* SERVICES */
.services {
  text-align:center;
  padding:50px;
}

.service-box {
  display:flex;
  justify-content:center;
}

.card {
  background:#fff;
  margin:10px;
  padding:20px;
  width:200px;
}

/* COUNTER */
.counter {
  display:flex;
  justify-content:space-around;
  background:#222;
  color:#fff;
  padding:40px;
}

/* CLIENT */
.clients {
  text-align:center;
  padding:40px;
}

.client-logos img {
  height:60px;
  margin:20px;
}

/* FOOTER */
.footer{
  background:#020617;
  color:#fff;
  padding:70px 0 20px;
}

/* GRID */
.footer-grid{
  display:grid;
  grid-template-columns:repeat(3,1fr);
  gap:50px;
  max-width:1200px;
  margin:auto;
  padding:0 20px;
}

/* LEFT BOX */
.footer-box1 h3{
  font-size:22px;
  margin-bottom:15px;
}

.footer-box1 p{
  color:#cbd5e1;
  line-height:1.6;
  margin-bottom:15px;
}

.footer-box1 h2{
  font-size:18px;
  margin:15px 0;
}

/* BUTTON */
.footer-box1 .btn{
  display:inline-block;
  background:#2563eb;
  color:#fff;
  padding:10px 18px;
  border-radius:6px;
  text-decoration:none;
  transition:0.3s;
}

.footer-box1 .btn:hover{
  background:#1d4ed8;
}

/* COMMON BOX */
.footer-box h4{
  margin-bottom:15px;
  font-size:18px;
}

/* REMOVE BULLETS */
.footer-box ul{
  list-style:none;
  padding:0;
}

.footer-box ul li{
  margin-bottom:10px;
}

/* LINKS */
.footer-box ul li a{
  color:#cbd5e1;
  text-decoration:none;
  transition:0.3s;
}

.footer-box ul li a:hover{
  color:#2563eb;
  padding-left:5px;
}

/* CONTACT */
.footer-box p{
  margin:8px 0;
  color:#cbd5e1;
  font-size:15px;
}

.footer-box i{
  margin-right:8px;
  color:#2563eb;
}

/* CONTACT BUTTON */
.contact-btn{
  display:inline-block;
  margin-top:15px;
  padding:8px 16px;
  border:1px solid #2563eb;
  color:#2563eb;
  text-decoration:none;
  border-radius:5px;
  transition:0.3s;
}

.contact-btn:hover{
  background:#2563eb;
  color:#fff;
}

/* BOTTOM */
.footer-bottom{
  text-align:center;
  margin-top:40px;
  padding-top:20px;
  border-top:1px solid #1e293b;
  font-size:19px;
  color:#94a3b8;
}

/* RESPONSIVE */
@media(max-width:768px){
  .footer-grid{
    grid-template-columns:1fr;
    text-align:center;
  }
}
.contact-box{
  display:flex;
  align-items:center;
  gap:15px;
  background:#1e1b4b;
  padding:12px 18px;
  border-radius:8px;
  text-decoration:none;
  width:fit-content;
  transition:0.3s;
  margin-top:10px;
}

.contact-box:hover{
  background:#312e81;
  transform:translateY(-2px);
}

/* ICON */
.contact-box .icon{
  font-size:22px;
  color:#38bdf8;
}

/* TEXT */
.contact-box .text{
  display:flex;
  flex-direction:column;
}

.contact-box .text span{
  font-size:12px;
  color:#cbd5e1;
  letter-spacing:1px;
}

.contact-box .text strong{
  font-size:16px;
  color:#fff;
}

/* popup */
/* POPUP BACKGROUND */
.popup{
  display:none;
  position:fixed;
  top:0;
  left:0;
  width:100%;
  height:100%;
  background:rgba(0,0,0,0.6);
  z-index:999;
  justify-content:center;
  align-items:center;
}

/* POPUP BOX */
.popup-content{
  background:#fff;
  padding:30px;
  width:400px;
  border-radius:10px;
  position:relative;
  animation:fadeIn 0.3s ease;
}

/* CLOSE BUTTON */
.popup .close{
  position:absolute;
  top:10px;
  right:15px;
  font-size:22px;
  cursor:pointer;
}

/* FORM */
.popup-content h2{
  margin-bottom:15px;
}

.popup-content input,
.popup-content select,
.popup-content textarea{
  width:100%;
  padding:10px;
  margin-bottom:12px;
  border:1px solid #ccc;
  border-radius:5px;
}

.popup-content textarea{
  height:80px;
}

/* BUTTON */
.popup-content button{
  width:100%;
  padding:10px;
  background:#2563eb;
  color:#fff;
  border:none;
  border-radius:5px;
  cursor:pointer;
}

.popup-content button:hover{
  background:#1d4ed8;
}

/* ANIMATION */
@keyframes fadeIn{
  from{transform:scale(0.9); opacity:0;}
  to{transform:scale(1); opacity:1;}
}